<?php if (!defined('APPLICATION')) exit();

$PluginInfo['PlayMP3Links'] = array(
    'Name' => 'Play MP3 Links',
    'Description' => "Automatically adds a Play button to each link that refers to an mp3 file so you can listen to them right in the page. Thanks to 1 Bit Audio Player: http://1bit.markwheeler.net",
    'Version' => '1.1',
    'Author' => "Rémi Cieplicki",
    'AuthorEmail' => 'remouk@gmail.com',
    'AuthorUrl' => 'http://ledpong.com',
);

class PlayMP3LinksPlugin extends Gdn_Plugin {

	public function Base_Render_Before($Sender) {
		$Sender->AddCssFile($this->GetResource('design/pml.css', FALSE, FALSE));
		$Sender->AddJsFile($this->GetResource('js/swfobject.js', FALSE, FALSE));
		$Sender->AddJsFile($this->GetResource('js/1bit.js', FALSE, FALSE));
		$js_insert = '
<script type="text/javascript">
	oneBit = new OneBit("/'.$this->GetResource('design/1bit.swf', FALSE, FALSE).'");
	oneBit.ready(function() {
		oneBit.specify("playerSize", "12");
		oneBit.apply("a");
	});
</script>';
		$Sender->Head->AddString($js_insert);
	}

	public function Setup() {}
}
